<?php

namespace App\Traits;

use App\Models\User;
use App\Services\Achievements\AchievementService;

/**
 * @mixin User
 */
trait HasAchievements
{
    public function calculateAchievements(): void
    {
        app(AchievementService::class)->calculate($this);
    }
}
